local paid = true
local defiance_decknumber = 24

Hooks:PostHook(SkillTreeTweakData,"init","defianceperkdeck_initskilltree",function(self,data)
	local costs = {
		[1] = 2 * 200,
		[2] = 2 * 300,
		[3] = 2 * 400,
		[4] = 2 * 600,
		[5] = 2 * 1000,
		[6] = 2 * 1600,
		[7] = 2 * 2400,
		[8] = 2 * 3200,
		[9] = 2 * 4000
	}
	local function cost(n)
		return paid and costs[n] or 0
	end

	local deck2 = {
		cost = cost(2),
		name_id = "menu_deckall_2",
		desc_id = "helmet_popping_desc", --"menu_deckall_2_desc",
		upgrades = {
			"weapon_passive_headshot_damage_multiplier"
		},
		icon_xy = {
			1,
			0
		}
	}
	local deck4 = {
		cost = cost(4),
		name_id = "menu_deckall_4",
		desc_id = "blending_in_desc", --"menu_deckall_4_desc",
		upgrades = {
			"passive_player_xp_multiplier",
			"player_passive_suspicion_bonus",
			"player_passive_armor_movement_penalty_multiplier"
		},
		icon_xy = {
			3,
			0
		}
	}
	local deck6 = {
		cost = cost(6),
		name_id = "menu_deckall_6",
		desc_id = "walk_in_closet_desc", --"menu_deckall_6_desc",
		upgrades = {
			"armor_kit",
			"player_pick_up_ammo_multiplier"
		},
		icon_xy = {
			5,
			0
		}
	}
	local deck8 = {
		cost = cost(8),
		name_id = "menu_deckall_8",
		desc_id = "fast_and_furious_desc", --"menu_deckall_8_desc",
		upgrades = {
			"weapon_passive_damage_multiplier",
			"passive_doctor_bag_interaction_speed_multiplier"
		},
		icon_xy = {
			7,
			0
		}
	}

	table.insert(self.specializations,
		{
			name_id = "menu_deck_defiance_title",
			desc_id = "menu_deck_defiance_desc",
			{
				upgrades = { --last chance/underdog
					"defiance_upgrade_1"
				},
				cost = cost(1),
				icon_xy = {2, 0}, --subtle (sicario card 5)
				texture_bundle_folder = "max",
				name_id = "menu_deck_defiance_1",
				desc_id = "menu_deck_defiance_1_desc"
			},
			deck2,
			{
				upgrades = { --on the run
					"defiance_upgrade_3"
				},
				cost = cost(3),
				icon_xy = {0, 0},
				texture_bundle_folder = "defiance",
				name_id = "menu_deck_defiance_3",
				desc_id = "menu_deck_defiance_3_desc"
			},
			deck4,
			{
				upgrades = {
					"defiance_upgrade_5" --sentinel/iron man (or 0,3)
				},
				cost = cost(5),
				icon_xy = {1, 0},
				texture_bundle_folder = "defiance",
				name_id = "menu_deck_defiance_5",
				desc_id = "menu_deck_defiance_5_desc"
			},
			deck6,
			{
				upgrades = {
					"defiance_upgrade_7" --electrocutioner/graze
				},
				cost = cost(7),
				icon_xy = {2, 0},
				texture_bundle_folder = "defiance",
				name_id = "menu_deck_defiance_7",
				desc_id = "menu_deck_defiance_7_desc"
			},
			deck8,
			{
				upgrades = {
					"defiance_upgrade_9" --killing spree
				},
				cost = cost(9),
				icon_xy = {3,0},
				texture_bundle_folder = "defiance",
				name_id = "menu_deck_defiance_9",
				desc_id = "menu_deck_defiance_9_desc"
			}
		}
	)
	
	defiance_decknumber = #self.specializations or 24

end)

local mod_path = ModPath
local default_localization_file = "english.txt"
Hooks:Add("LocalizationManagerPostInit", "defianceperkdeck_addlocalization", function( loc )
	loc:add_localized_strings({
		["menu_deck" .. tostring(defiance_decknumber)] = loc:text("menu_deck_defiance_title")
	})
	if not BeardLib then 
		--load from the loc file and add localized strings if not using beardlib
		--unfortunately, superblt doesn't handle parsing macros well when adding localized strings,
		--so beardlib is preferred, since it can handle adding the localization files without messing up the macros
		
		loc:load_localization_file( mod_path .. "loc/" .. default_localization_file)
	end
end)

--load the custom perk deck icons
local texture_ids = Idstring("texture")
local mod_path = ModPath
local local_asset_path = mod_path .. "assets/"
local entry_path = "guis/dlcs/defiance/textures/pd2/specialization/icons_atlas"
if not (DB and DB:has(texture_ids, entry_path)) then 
	BLT.AssetManager:CreateEntry(Idstring(entry_path),texture_ids,local_asset_path .. entry_path .. ".texture")
end