Hooks:PostHook(UpgradesTweakData,"_player_definitions","defianceperkdeck_init_player_definitions",function(self)

	--doing something a bit different with organization for this one
	--since tiered number upgrades don't seem likely on this project,
	--and upgrades seem to be simple enough that a bool flag for a single upgrade will work
	--if you're here to learn how to make perk decks, good on you, but i advise caution; 
	--there are a few small differences in how most perk decks are structured compared to this one
	self.values.player.defiance = {
		on_the_run = {
			movement_speed_bonus = 0.15,
			duration = 6,
			cooldown = 15,
			blacklisted_categories = {
				"bow",
				"crossbow",
				"flamethrower",
				"grenade_launcher", --includes rocket launchers
				"revolver",
				"shotgun",
				"saw"
			},
			weapons_list = { --supercedes the category blacklist check entirely 
				aa12 = true, --Steakout 12G
				saiga = true, --IZHMA 12G Shotgun
				bassett = true, --Grimm 12G Shotgun
				x_bassett = true, --Brothers Grimm 12G Shotguns (akimbo variant)
				arbiter = true, --Arbiter (arbiter)
				winchester1874 = false --Repeater 1874 Sniper Rifle
			}
		},
		last_chance = {
			damage_bonus_mul = 1.25,
			duration = 3,
			cooldown = 6
		},
		sentinel = {
			health_to_armor_conversion_rate = 1.75,
			health_converted = 0.3 --amount lost (expressed as a percentage) --> 30% lost
		},
		electrocutioner = {
			stun_duration = 3,
			cooldown = 6,
			health_regen = 0.1,
			reload_speed_bonus_mul = 1.15
		},
		killing_spree = {
			damage_absorption = 0.15,
			damage_resist_mul = 0.03,
			max_stacks = 10,
			multikill_expire_threshold = 7
		}
	}
	
	self.values.player.defiance_last_chance = {
		true
	}
	self.values.player.defiance_on_the_run = {
		true
	}
	self.values.player.defiance_electrocutioner = {
		true
	}
	self.values.player.defiance_sentinel = {
		true
	}
	self.values.player.defiance_killing_spree = {
		true
	}
	
	
	self.definitions.defiance_upgrade_1 ={
		name_id = "menu_deck_defiance_1",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "defiance_on_the_run",
			category = "player"
		}
	}
	self.definitions.defiance_upgrade_3 ={
		name_id = "menu_deck_defiance_3",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "defiance_last_chance",
			category = "player"
		}
	}
	self.definitions.defiance_upgrade_5 ={
		name_id = "menu_deck_defiance_5",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "defiance_electrocutioner",
			category = "player"
		}
	}
	self.definitions.defiance_upgrade_7 ={
		name_id = "menu_deck_defiance_7",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "defiance_sentinel",
			category = "player"
		}
	}
	self.definitions.defiance_upgrade_9 ={
		name_id = "menu_deck_defiance_9",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "defiance_killing_spree",
			category = "player"
		}
	}
end)